import 'package:aitrainer_app/localization/app_language.dart';
import 'package:aitrainer_app/model/auth.dart';
import 'package:aitrainer_app/model/exercise_type.dart';
import 'package:intl/intl.dart';

class Common {


  static  String toJson( Map<String, String> map ) {
    String rc = "{";
    map.forEach((key, value) {
        rc += "'$key':'$value'";
    });
    rc += "}";
    return rc;
  }

  static ExerciseType getExerciseType( int exerciseTypeId ) {
    ExerciseType returnElement = null;
    List<ExerciseType> listExerciseType = Auth().getExerciseTypes();
    if ( listExerciseType != null ) {
      for ( var element in listExerciseType ) {
        if (exerciseTypeId == element.exerciseTypeId) {
          returnElement = element;
          break;
        }
      };
    }
    return returnElement;
  }

  static String getDateLocale( DateTime datetime, bool timeDisplay ) {
    AppLanguage appLanguage = AppLanguage();
    var date = datetime;

    String dateName = DateFormat(DateFormat.YEAR_MONTH_DAY, appLanguage.appLocal.toString()).format(date.toUtc());
    if ( timeDisplay ) {
      dateName += " " +DateFormat(DateFormat.HOUR_MINUTE, appLanguage.appLocal.toString()).format(date.toUtc());
    }

    return dateName;
  }
}