import 'dart:collection';
import 'package:aitrainer_app/localization/app_localization.dart';
import 'package:aitrainer_app/model/workout_tree.dart';
import 'package:flutter/material.dart';

class MenuTests {
  LinkedHashMap tree = LinkedHashMap();

  MenuTests(BuildContext context) {
    this.tree['Cardio']= WorkoutTree(1, 0, AppLocalizations.of(context).translate("Cardio"),
        'asset/menu/1.cardio.png',
        Colors.white, 32, false,0);
    this.tree['Aerobic']= WorkoutTree(2, 1, AppLocalizations.of(context).translate("Aerobic"),
        'asset/menu/1.1.aerob.png',
        Colors.white, 32, false,0);
    this.tree['Cooper']= WorkoutTree(21, 2, AppLocalizations.of(context).translate("Cooper"),
        'asset/menu/1.1.1.cooper.png',
        Colors.white, 32, true,30);
    this.tree['Anaerobic']= WorkoutTree(3, 1, AppLocalizations.of(context).translate("Anaerobic"),
        'asset/menu/1.2.anaerob.png',
        Colors.white, 32, false,0);
    this.tree['300m']= WorkoutTree(22, 3, "300m",
        'asset/menu/1.2.1.300m.png',
        Colors.white, 32, true,31);
    this.tree['400m']= WorkoutTree(24, 3, "400m",
        'asset/menu/1.2.2.400m.png',
        Colors.white, 32, true,32);

    this.tree['Strength']= WorkoutTree(4, 0, AppLocalizations.of(context).translate("Strength"),
        'asset/menu/2.strength.png',
        Colors.white, 32, false,0);
    this.tree['Endurance']= WorkoutTree(5, 4, AppLocalizations.of(context).translate("Endurance"),
        'asset/menu/2.1.endurance.png',
        Colors.white, 36, false,0);
    this.tree['Pullups']= WorkoutTree(6, 5, AppLocalizations.of(context).translate("Pull Ups"),
        'asset/menu/2.1.1.pull-ups.png',
        Colors.white, 32, true,38);
    this.tree['Pushups']= WorkoutTree(7, 5, AppLocalizations.of(context).translate("Pushups"),
        'asset/menu/2.1.2.pushup.png',
        Colors.white, 32, true,33);
    this.tree['Situps']= WorkoutTree(10, 5, AppLocalizations.of(context).translate("Sit-ups"),
        'asset/menu/2.1.3.sit-ups.png',
        Colors.white, 32, true,36);
    this.tree['Squats']= WorkoutTree(11, 5, AppLocalizations.of(context).translate("Squats"),
        'asset/menu/2.1.4.squats.png',
        Colors.white, 32, true,35);
    this.tree['TimedPushups']= WorkoutTree(12, 5, AppLocalizations.of(context).translate("Timed Pushups"),
        'asset/menu/2.1.5.timedpushup.png',
        Colors.white, 32, true,34);
    this.tree['Core']= WorkoutTree(43, 5, AppLocalizations.of(context).translate("Core"),
        'asset/menu/2.1.6.core.png',
        Colors.white, 32, true,45);

    this.tree['1RM']= WorkoutTree(8, 4, AppLocalizations.of(context).translate("1RM"),
        'asset/menu/2.2.1.1RM.png',
        Colors.white, 32, false,0);
    this.tree['Chestpress']= WorkoutTree(13, 8, AppLocalizations.of(context).translate("Chest Press"),
        'asset/menu/2.2.1.1.chestpress.png',
        Colors.white, 32, true,37);
    this.tree['PullUps1rm']= WorkoutTree(14, 8, AppLocalizations.of(context).translate("Pull Ups"),
        'asset/menu/2.2.1.2.pullups.png',
        Colors.white, 32, true, 38);
    this.tree['Biceps']= WorkoutTree(15, 8, AppLocalizations.of(context).translate("Biceps"),
        'asset/menu/2.2.1.3.biceps.png',
        Colors.white, 32, true, 39);
    this.tree['Triceps']= WorkoutTree(16, 8, AppLocalizations.of(context).translate("Triceps"),
        'asset/menu/2.2.1.4.triceps.png',
        Colors.white, 32, true, 40);
    this.tree['Shoulders']= WorkoutTree(17, 8, AppLocalizations.of(context).translate("Shoulders"),
        'asset/menu/2.2.1.5.shoulders.png',
        Colors.white, 32, true, 41);

    this.tree['BodyCompositions']= WorkoutTree(9, 0, AppLocalizations.of(context).translate("Body Compositions"),
        'asset/menu/3.bcs1.png',
        Colors.white, 32, false,0);
    this.tree['BMI']= WorkoutTree(18, 9, AppLocalizations.of(context).translate("BMI"),
        'asset/menu/3.1.BMI.png',
        Colors.white, 32, true,42);
    this.tree['BMR']= WorkoutTree(19, 9, AppLocalizations.of(context).translate("BMR"),
        'asset/menu/3.2.BMR.png',
        Colors.white, 32, true, 43);
    this.tree['Sizes']= WorkoutTree(20, 9, AppLocalizations.of(context).translate("Sizes"),
        'asset/menu/3.3.sizes.png',
        Colors.white, 32, true, 44);

  }

  LinkedHashMap getMenuItems()  {
    return this.tree;
  }


}