import 'package:aitrainer_app/localization/app_language.dart';
import 'package:aitrainer_app/localization/app_localization.dart';
import 'package:aitrainer_app/view/menu_page.dart';
import 'package:aitrainer_app/widgets/bottom_nav.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'bottom_nav.dart';
import 'nav_drawer.dart';

class AitrainerHome extends StatefulWidget {
  _HomePageState _state;
  @override
  State<StatefulWidget> createState() {
    _state = new _HomePageState();
    return _state;
  }

  void callback() {
    _state.setLangNoContext();
  }
}

class _HomePageState extends State<AitrainerHome> {
  GlobalKey<ScaffoldState> _scaffoldKey = new GlobalKey<ScaffoldState>();
  final AppLanguage appLanguage = AppLanguage();

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    MenuPage menu = MenuPage();
    BottomNavigator bottomNav = BottomNavigator();
    return Scaffold(
      key: _scaffoldKey,
      drawer: NavDrawer(),
      body:Container(
        child: MenuPage(parent: 0),
      ),
      bottomNavigationBar: bottomNav.buildBottomNavigator(context, widget._state)
    );
  }

  void setLangNoContext() {
    print("--- Callback ");
    setState(() {
      final AppLanguage appLanguage = AppLanguage();
      AppLocalizations.of(context).setLocale(appLanguage.appLocal);
      AppLocalizations.of(context).load();
      print("--- Lang for context reloaded");
    });
  }

}
