import 'package:aitrainer_app/localization/app_language.dart';
import 'package:aitrainer_app/localization/app_localization.dart';
import 'package:aitrainer_app/model/auth.dart';
import 'package:flutter/material.dart';

class NavDrawer extends StatefulWidget {

  @override
  _NawDrawerWidget createState() => _NawDrawerWidget();
}

class _NawDrawerWidget extends State<NavDrawer> {
  final Auth auth = Auth();
  final AppLanguage appLanguage = AppLanguage();
  Locale _locale;


  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Drawer(
      child: ListView(
        padding: EdgeInsets.zero,
        children: <Widget>[
          DrawerHeader(
            child: Text(
              AppLocalizations.of(context).translate('Customers And Exercises'),
              style: TextStyle(color: Colors.blue, fontSize: 25),
            ),

          ),
          ListTile(
            leading: Icon(Icons.home),
            title: Text( AppLocalizations.of(context).translate('Home')),
            onTap: () => Navigator.of(context).pushNamed('home'),
          ),

          ListTile(
            leading: Icon(Icons.people),
            title: Text( AppLocalizations.of(context).translate('Customers')),
            onTap: () => Navigator.of(context).pushNamed('customersPage'),
          ),

          ListTile(
            leading: Icon(Icons.directions_run),
            title: Text(AppLocalizations.of(context).translate('Exercises')),
            onTap: () =>
                Navigator.of(context).pushNamed('exerciseTypeListPage'),
          ),
          ListTile(
            leading: Icon(Icons.arrow_upward),
            title: Text(AppLocalizations.of(context).translate("TRAINING!")),
            onTap: () => Navigator.of(context).pushNamed('exerciseNewPage'),
          ),
          ListTile(
            leading: Icon(Icons.perm_identity),
            title: Text(AppLocalizations.of(context).translate('Login')),
            onTap: () => Navigator.of(context).pushNamed('login'),
          ),
          ListTile(
              leading: Icon(Icons.cancel),
              title: Text(AppLocalizations.of(context).translate('Logout')),
              onTap: () =>
              {
                auth.logout(),
                Navigator.of(context).pushNamed('home'),
              }
          ),
          ListTile(
            leading: Icon(Icons.hearing),
            title: Text(AppLocalizations.of(context).translate('Change Language')),
            onTap: () => _tapped(),

          ),
        ],
      ),
    );
  }

  void _tapped() => {
  /*  _locale = Locale("hu"),
    appLanguage.changeLanguage(_locale),
    AppLocalizations.of(context).setLocale(_locale),
    AppLocalizations.of(context).load() */
  };

}